geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "office@weberhofer.at" <off...@weberhofer.at>
Subject Eclipse plugin-versions
Date Mon, 01 Mar 2010 13:27:51 GMT
Dear Delos,
dear all!

As usual, I'm trying to compile a GEP version for the latest version of Eclipse; currently
the 2.2.1 branch does not compile.

**

Starting with 2.2 release, GEP supports all recent versions of Geronimo. I'm wondering, whether
the GEP plugin-releases should be coupled to the Eclipse versions instead of keeping the Geronimo-numberings.
At the moment we have to wait for a new GEP release until the next Geronimo version is released.

It would be nice, if GEP-versions would be numbered using the scheme "ECLIPSE-NUMBER.PLUGIN-RELEASE".
I imagine in this case different versions of the plug-in could be released at the same time
supporting different Eclipse versions. That would ease the life of developers who might be
forced to use a specific Eclipse version. It would also make it possible to release updates
to the plugin more frequently without having to wait for stable Geronimo versions. Stable
plugin-versions could (in my opionion) also include support for the current, unstable, Geronimo
releases.

In any case, I do not know how much work this change would consume and if it's a good idea
at all.

Best regards,
Johannes

-- 


|---------------------------------
|  weberhofer GmbH             | Johannes Weberhofer
|  information technologies    |
|  Austria, 1080 Wien, Blindengasse 52/3
|------------------------------------------------------------->>

Mime
View raw message